
{ config, pkgs, ... }:
{
  imports =
    [ 
        ../common/user/root.nix
    ];

  users.extraUsers.steveej = {
    uid = 1000;
    isNormalUser = true;
    home = "/home/steveej";
    extraGroups = [
      "wheel"
      "libvirtd"
      "networkmanager"
      "vboxusers"
      "users"
      "input"
      "audio"
      "video"
    ];
    hashedPassword = "removed";
    shell = pkgs.zsh;
  };

  security.pam.enableU2F = true;
  security.pam.services.steveej.u2fAuth = true;
}
